Name: ygetg
Version: 0.9.5
Release: 1%{?dist}
Summary: A simple bash script and GUI wrapper for yt-dlp
License: Unlicense
Group: Applications/Multimedia
Source0: https://code.dawn.org.in/flamboyantpenguin/ygetg/archive/v%{version}.tar.gz
Source1: https://repo.dawn.org.in/rpm/dawn.repo
URL: https://code.dawn.org.in/flamboyantpenguin/ygetg
Requires: yt-dlp
BuildRequires: rust cargo

%description
Simple app to download high quality variants of YouTube videos as audio/video

%prep
%setup -n ygetg

%build
cargo build --release

%install

# bin
install -Dm755 target/release/ygetg %{buildroot}%{_bindir}/ygetg
install -Dm755 yget/yget %{buildroot}%{_bindir}/yget
install -Dm644 LICENSE %{buildroot}%{_datadir}/licenses/ygetg/LICENSE
install -Dm644 deploy/desktop/in.org.dawn.ygetg.desktop %{buildroot}%{_datadir}/applications/in.org.dawn.ygetg.desktop
install -Dm644 deploy/desktop/in.org.dawn.ygetg.svg %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/in.org.dawn.ygetg.svg

# Repo
install -D -m 0644 %{SOURCE1} %{buildroot}/etc/yum.repos.d/dawn.repo

%files
/usr/bin/ygetg
/usr/bin/yget
/usr/share/licenses/ygetg/LICENSE
/usr/share/applications/in.org.dawn.ygetg.desktop
/usr/share/icons/hicolor/scalable/apps/in.org.dawn.ygetg.svg
%config(noreplace) /etc/yum.repos.d/dawn.repo

%changelog
* Tue Apr 15 2025 Penguin <penguin@dawn.org.in> - 0.9.5-1
- First Pre-release
